GET
/api/v1/ssh_keys/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/ssh_keys/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/ssh_keys/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/ssh_keys/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”SSH keys fetched successfully.
Media typeapplication/json
object
code
integer
data
Array<object>
object
pk
integer
label
string
ssh_key
string
timestamp
string format: date
project_name
string
errors
object
message
string
Example
{ "code": 200, "data": [ { "pk": 15398, "label": "admin@Admins.local", "ssh_key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBQgAdy+5XSgNeBG6p0fMGH2nm/aaG4UkPNMhr5ixDhg admin@Admins.local", "timestamp": "19-Feb-2025", "project_name": "default-project-35027" } ], "errors": {}, "message": "Success"}